<?php


function AUTHORIZE_USER() {
global $SSL_IFACE ; //$ADM_ACCOUNT,$ADM_PASSWD,$AUTHORIZE_USER,$LOGIN
//echo "<BR>Funkcja AUTHORIZE_USER $LOGIN,$ADM_ACCOUNT,$ADM_PASSWD() $AUTHORIZE_USER";

$req_LOGIN = (isset($_REQUEST['LOGIN']))? $_REQUEST['LOGIN'] : '';

if (!isset($_SESSION['AUTHORIZE_USER']) && $req_LOGIN == 'LOGIN') {
	$req_ADM_ACCOUNT = (isset($_REQUEST['ADM_ACCOUNT']))? $_REQUEST['ADM_ACCOUNT'] : '';
	$req_ADM_PASSWD = (isset($_REQUEST['ADM_PASSWD']))? $_REQUEST['ADM_PASSWD'] : '';
	if (empty($req_ADM_ACCOUNT) || empty($req_ADM_PASSWD)) {
		echo '<p style="color:red">' . "Proszę podać LOGIN i HASŁO!" . '</p>';
	} else {
		AUTHORIZE_USER_LOGIN($req_ADM_ACCOUNT, $req_ADM_PASSWD);
	}
}

if (isset($_SESSION['AUTHORIZE_USER']) && $req_LOGIN == 'LOGOUT') {
	echo 'Wylogowano,<br><img src="superedit-software-640.jpg"> <a href="index.php">*LOGOWANIE* </a>';
	session_destroy();
	die();
}

if (!isset($_SESSION['AUTHORIZE_USER'])) {
  echo "<img src='superedit-software-640.jpg'>by A.Binder arek@tx.pl<br><h2><a href='".$SSL_IFACE."'>*Wersja testowa WWW </a> (szyfrowanieSSL)</h2>
<br>narazie przez interfejs WWW:
 <li>Wylacznie usuwanie problemow (kosztowe i bezkosztowe)
 <li>Drukowanie istniejacych w bazie problemow (z ekranu)
 <li>Baza uzytkownikow do edycji
 <li>Historia uzytkownika
 <li>Edycja statusow i udostepnionych pol
 <li>Szybkie filtry
 <li>Rozdzielenie preferencji dostepow na uzytkownikow 
 <li>Inne opcje
 <li>Wkrotce wszystkie opcje z wersji terminalowej SUPEREDIT



  
<hr>Musisz sie zautoryzowac<br>

   <FORM NAME='LOGIN' ACTION='' METHOD='POST'>Uzytkownik:<INPUT TYPE=TEXT NAME='ADM_ACCOUNT' VALUE='' id='username'><br>
   Haslo:<INPUT TYPE=PASSWORD NAME='ADM_PASSWD'><br>
   Szybkie logowanie bez inicjalizacji kolumn:<INPUT NAME='NOPREINIT' TYPE=CHECKBOX >
   <INPUT NAME='LOGIN' TYPE=SUBMIT VALUE='LOGIN'>
   </FORM></BODY></HTML>
   ";
echo'<script type="text/javascript">'."
function init(){
  // quit if this function has already been called
  if (arguments.callee.done) return;
  // flag this function so we don't do the same thing twice
  arguments.callee.done = true;

	document.getElementById('username').focus();
}
// on load function
if (document.addEventListener) {
  document.addEventListener('DOMContentLoaded', init, false);
} else {
	window.onload = init;
}
".'</script>';
		die();
}
else if ($req_LOGIN == 'SHOW') {
  echo "Jestes zalogowany jako ".$_SESSION['ADM_NAME']." (<a href='?USEREDIT=VIEW'>".$_SESSION['AUTHORIZE_USER']."</a>) 
 <a href='?LOGIN=LOGOUT'>Wyloguj</a> |
<form action='' method='POST'>
ZMIEN STARE HASLO:<INPUT TYPE=PASSWORD NAME='ADM_PASSWD'>  NOWE HASLO:<INPUT TYPE=PASSWORD NAME='ADM_PASSWD_NEW'><INPUT NAME='LOGIN' TYPE=SUBMIT VALUE='PASSEDIT'>
</form><br>";
}
else if ($req_LOGIN == 'PASSEDIT') {
	if (empty($_POST['ADM_PASSWD_NEW']) || empty($_POST['ADM_PASSWD'])) {
		echo '<p style="color:red">' . "Proszę podać stare i nowe hasło." . '</p>';
	} else {
		$ZAP_SQL = "update `ADMIN_USERS` set
				`ADM_PASSWD`=md5('".$_POST['ADM_PASSWD_NEW']."')
			where
				`ADM_ACCOUNT`='".$_SESSION['AUTHORIZE_USER']."' and
				( `ADM_PASSWD`='".$_POST['ADM_PASSWD']."' or `ADM_PASSWD`=md5('".$_POST['ADM_PASSWD']."')) 
			limit 1;
		";
		echo " Zmieniam haslo dla ".$_SESSION['AUTHORIZE_USER']."  <br>";
		ZAP_SQL($ZAP_SQL);
	}
}

}
